List saved views
get
/v1/workspaces/{workspace_id}/viewsReturns the saved records views for a root in the workspace — the named filter/sort/column presets shown in the view switcher. Each workspace+root has at most one default view. Read-only.
Requires a bearer token: Authorization: Bearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace_id | string <uuid> | Yes | Workspace id that owns the view.e.g. 11111111-2222-3333-4444-555555555555 |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| root | string | Yes | The records root whose views to list.e.g. invoices |
Request
cURL
curl -X GET https://api.wellapp.ai/v1/workspaces/{workspace_id}/views \
-H "Authorization: Bearer $WELL_API_TOKEN"Responses
200 — The saved views for the root.
{
"data": [
{
"type": "workspace_view",
"id": "5c1a2b3d-0000-4000-8000-000000000001",
"attributes": {
"name": "Overdue Anthropic invoices",
"root": "invoices",
"columns": [
{
"field": "issuer.name",
"visible": true
},
{
"field": "grand_total.amount",
"visible": true
}
],
"sort": [
{
"field": "due_date",
"direction": "asc"
}
],
"filters": [
{
"field": "status",
"operator": "in",
"value": [
"issued"
],
"conjunction": "and"
},
{
"field": "issuer.name",
"operator": "contains",
"value": "Anthropic"
}
],
"display": "table",
"layout_config": {},
"is_default": false,
"created_at": "2026-06-01T10:00:00.000Z",
"updated_at": "2026-06-05T14:00:00.000Z"
}
}
]
}400 — Bad Request
{
"code": "BAD_REQUEST",
"status": 0,
"title": "Bad Request",
"message": "Invalid or missing root.",
"meta": {
"trace_id": "a1b2c3"
}
}401 — Unauthorized
{
"code": "UNAUTHORIZED",
"status": 0,
"title": "Unauthorized",
"message": "Authentication required.",
"meta": {
"trace_id": "a1b2c3"
}
}